## aften 0.0.8svn20080925

=== CMakeLists.txt ===
# CMake project file by Prakash Punnoor
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

IF(NOT DEFINED CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.")
ENDIF(NOT DEFINED CMAKE_BUILD_TYPE)

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMakeModules")
Project(Aften C)

SET(SO_MAJOR_VERSION "0")
SET(SO_MINOR_VERSION "0")
SET(SO_BUILD_VERSION "8")
SET(SO_VERSION "${SO_MAJOR_VERSION}.${SO_MINOR_VERSION}.${SO_BUILD_VERSION}")

IF(${Aften_SOURCE_DIR} MATCHES ${Aften_BINARY_DIR})
  MESSAGE("Please do an out-of-tree build:")
  MESSAGE("rm -f CMakeCache.txt; mkdir -p default; cd default; cmake ..; make")
  MESSAGE(FATAL_ERROR "in-tree-build detected")
ENDIF(${Aften_SOURCE_DIR} MATCHES ${Aften_BINARY_DIR})

INCLUDE(${CMAKE_ROOT}/Modules/TestBigEndian.cmake)
INCLUDE(${CMAKE_ROOT}/Modules/CheckCSourceCompiles.cmake)
INCLUDE(${CMAKE_MODULE_PATH}/ConfigHelper.cmake)
INCLUDE(${CMAKE_MODULE_PATH}/HeaderTests.cmake)
INCLUDE(${CMAKE_MODULE_PATH}/FlagsTests.cmake)
INCLUDE(${CMAKE_MODULE_PATH}/CompilerVisibility.cmake)
INCLUDE(${CMAKE_MODULE_PATH}/CompilerSIMD.cmake)
INCLUDE(${CMAKE_MODULE_PATH}/DetectCompiler.cmake)

OPTION(SHARED "build shared Aften library" OFF)
OPTION(DOUBLE "build Aften with doubles instead of floats" OFF)
IF(DOUBLE)
  ADD_DEFINE(CONFIG_DOUBLE)
ENDIF(DOUBLE)
OPTION(BINDINGS_CS "build C# bindings" OFF)
OPTION(BINDINGS_CXX "build C++ bindings" OFF)
IF(BINDINGS_CXX)
  SET(SHARED ON CACHE BOOL "build shared Aften library" FORCE)
ENDIF(BINDINGS_CXX)

INCLUDE_DIRECTORIES(${Aften_BINARY_DIR}/)
INCLUDE_DIRECTORIES(${Aften_SOURCE_DIR}/)
INCLUDE_DIRECTORIES(${Aften_SOURCE_DIR}/libaften)
INCLUDE_DIRECTORIES(${Aften_SOURCE_DIR}/aften)
INCLUDE_DIRECTORIES(${Aften_SOURCE_DIR}/pcm)

SET(LIBAFTEN_SRCS libaften/a52enc.c
                  libaften/a52.c
                  libaften/a52tab.c
                  libaften/bitalloc.c
                  libaften/bitio.c
                  libaften/crc.c
                  libaften/dynrng.c
                  libaften/window.c
                  libaften/mdct.c
                  libaften/exponent.c
                  libaften/filter.c
                  libaften/util.c
                  libaften/convert.c)

SET(LIBAFTEN_X86_SRCS libaften/x86/x86_cpu_caps.c)

SET(LIBAFTEN_X86_MMX_SRCS libaften/x86/x86_mmx_exponent.c)

SET(LIBAFTEN_X86_SSE_SRCS libaften/x86/x86_sse_mdct_dummy.c
                          libaften/x86/x86_sse_mdct_common_init.c
                          libaften/x86/x86_sse_window.c)

SET(LIBAFTEN_X86_SSE2_SRCS libaften/x86/x86_sse2_exponent.c)

SET(LIBAFTEN_X86_SSE3_SRCS libaften/x86/x86_sse3_mdct_dummy.c)

SET(LIBAFTEN_PPC_SRCS libaften/ppc/ppc_cpu_caps.c)
SET(LIBAFTEN_ALTIVEC_SRCS libaften/ppc/mdct_altivec.c)

SET(AFTEN_SRCS aften/aften.c aften/opts.c)

SET(PCM_SRCS pcm/aiff.c
             pcm/byteio.c
             pcm/caff.c
             pcm/convert.c
             pcm/formats.c
             pcm/pcm.c
             pcm/pcmfile.c
             pcm/pcm_io.c
             pcm/raw.c
             pcm/wav.c)


IF(CMAKE_UNAME)
  EXEC_PROGRAM(uname ARGS -m OUTPUT_VARIABLE CMAKE_SYSTEM_MACHINE)
ELSE(CMAKE_UNAME)
  MESSAGE("Could not detect machine type")
  IF(CMAKE_SYSTEM MATCHES "Windows")
    MESSAGE(STATUS "Assuming i386 machine")
    SET(CMAKE_SYSTEM_MACHINE i386)
  ENDIF(CMAKE_SYSTEM MATCHES "Windows")
ENDIF(CMAKE_UNAME)

DETECT_COMPILER()

CHECK_64BITS()

IF(CMAKE_COMPILER_IS_GNUCC)
  SET(CMAKE_C_FLAGS_RELEASE "-funroll-loops -fomit-frame-pointer ${CMAKE_C_FLAGS_RELEASE}")
  SET(ADD_CFLAGS "-pedantic -Wall -Wpointer-arith -Wredundant-decls -Wformat -Wunused ${ADD_CFLAGS}")

  # gcc 2.9.5 doesn't know following
  CHECK_CFLAGS_APPEND(ADD_EXCLUSIVE_CFLAGS "-std=gnu99")
  CHECK_CFLAGS_APPEND(ADD_CFLAGS "-Wdisabled-optimization")
  CHECK_CFLAGS_APPEND(ADD_CFLAGS "-Wfloat-equal")
  CHECK_CFLAGS_APPEND(ADD_EXCLUSIVE_CFLAGS "-Wbad-function-cast")

  # gcc 3.0 doesn't know following
  CHECK_CFLAGS_APPEND(ADD_EXCLUSIVE_CFLAGS "-Wdeclaration-after-statement")
  CHECK_CFLAGS_APPEND(ADD_CFLAGS "-Wextra")
  CHECK_CFLAGS_APPEND(ADD_CFLAGS "-Wno-switch")

  # gcc 4.1 doesn't know following
  CHECK_CFLAGS_APPEND(ADD_CFLAGS "-Wstrict-overflow")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

IF(CMAKE_COMPILER_IS_ICC)
  # icc ignores bogus options, so detection makes no sense
  SET(CMAKE_C_FLAGS_RELEASE "-O3 -funroll-loops -fomit-frame-pointer ${CMAKE_C_FLAGS_RELEASE}")
  SET(ADD_CFLAGS "-std=c99 -Wall ${ADD_CFLAGS}")
ENDIF(CMAKE_COMPILER_IS_ICC)

IF(MSVC)
  # msvc ignores bogus options, so detection makes no sense
  SET(CMAKE_C_FLAGS_RELEASE "/Ot /Oy /Oi /Ox ${CMAKE_C_FLAGS_RELEASE}")
  ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
ENDIF(MSVC)

TEST_BIG_ENDIAN(CMAKE_WORDS_BIGENDIAN)
IF(CMAKE_WORDS_BIGENDIAN)
  ADD_DEFINE(WORDS_BIGENDIAN)
ENDIF(CMAKE_WORDS_BIGENDIAN)

IF(UNIX)
  SET(LIBM "m")

  TEST_COMPILER_VISIBILITY()

  IF(APPLE)
    ADD_DEFINE(SYS_DARWIN)
  ELSE(APPLE)
    CHECK_FUNCTION_DEFINE("#include <sys/sysinfo.h>" "get_nprocs" "()" HAVE_GET_NPROCS)

    IF(NOT HAVE_GET_NPROCS)
      MESSAGE(STATUS "Hardcoding 2 threads usage")
      ADD_DEFINE("NUM_THREADS 2")
    ENDIF(NOT HAVE_GET_NPROCS)
  ENDIF(APPLE)
ENDIF(UNIX)

# threads handling
FIND_PACKAGE(Threads)
IF(CMAKE_USE_WIN32_THREADS_INIT)
  ADD_DEFINE(HAVE_WINDOWS_THREADS)
  IF(MINGW)
    ADD_DEFINE(MINGW_ALIGN_STACK_HACK)
  ENDIF(MINGW)
ELSE(CMAKE_USE_WIN32_THREADS_INIT)

IF(CMAKE_USE_PTHREADS_INIT)
  ADD_DEFINE(HAVE_POSIX_THREADS)
  SET(ADD_LIBS ${ADD_LIBS} ${CMAKE_THREAD_LIBS_INIT})
ENDIF(CMAKE_USE_PTHREADS_INIT)
ENDIF(CMAKE_USE_WIN32_THREADS_INIT)

ADD_DEFINE("MAX_NUM_THREADS 32")

ADD_DEFINITIONS(-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE)

CHECK_INCLUDE_FILE_DEFINE(inttypes.h HAVE_INTTYPES_H)
CHECK_INCLUDE_FILE_DEFINE(byteswap.h HAVE_BYTESWAP_H)

# output SVN version to config.h
EXECUTE_PROCESS(COMMAND svn info --xml WORKING_DIRECTORY ${Aften_SOURCE_DIR}
OUTPUT_VARIABLE SVN_INFO ERROR_QUIET)
STRING(REGEX MATCH "<entry[^>]+" SVN_VERSION "${SVN_INFO}")
STRING(REGEX MATCH "revision=\"[0123456789]+\"" SVN_VERSION "${SVN_VERSION}")
STRING(REGEX MATCH "[0123456789]+" SVN_VERSION "${SVN_VERSION}")
IF(SVN_VERSION)
  ADD_DEFINE("SVN_VERSION \"${SVN_VERSION}\"")
ENDIF(SVN_VERSION)

# do SIMD stuff
IF(CMAKE_SYSTEM_MACHINE MATCHES "i.86" OR CMAKE_SYSTEM_MACHINE MATCHES "x86_64")
  CHECK_MMX()

  IF(HAVE_MMX)
    INCLUDE_DIRECTORIES(${Aften_SOURCE_DIR}/libaften/x86)
    SET(LIBAFTEN_SRCS ${LIBAFTEN_SRCS} ${LIBAFTEN_X86_SRCS})
    ADD_DEFINE(HAVE_CPU_CAPS_DETECTION)

    CHECK_SSE()
    SET(LIBAFTEN_SRCS ${LIBAFTEN_SRCS} ${LIBAFTEN_X86_MMX_SRCS})
      FOREACH(SRC ${LIBAFTEN_X86_MMX_SRCS})
        SET_SOURCE_FILES_PROPERTIES(${SRC} PROPERTIES COMPILE_FLAGS "${MMX_FLAGS} -DUSE_MMX")
      ENDFOREACH(SRC)
    ADD_DEFINE(HAVE_MMX)

    IF(HAVE_SSE)
      CHECK_SSE2()
      IF(NOT DOUBLE)
      SET(LIBAFTEN_SRCS ${LIBAFTEN_SRCS} ${LIBAFTEN_X86_SSE_SRCS})
      FOREACH(SRC ${LIBAFTEN_X86_SSE_SRCS})
        SET_SOURCE_FILES_PROPERTIES(${SRC} PROPERTIES COMPILE_FLAGS "${SSE_FLAGS} -DUSE_MMX -DUSE_SSE")
      ENDFOREACH(SRC)
      ENDIF(NOT DOUBLE)
      ADD_DEFINE(HAVE_SSE)

      CHECK_MM_MALLOC()
      IF(NOT HAVE_MM_MALLOC)
        CHECK_POSIX_MEMALIGN()
      ENDIF(NOT HAVE_MM_MALLOC)
    ENDIF(HAVE_SSE)

    IF(HAVE_SSE2)
      CHECK_SSE3()
      SET(LIBAFTEN_SRCS ${LIBAFTEN_SRCS} ${LIBAFTEN_X86_SSE2_SRCS})
      FOREACH(SRC ${LIBAFTEN_X86_SSE2_SRCS})
        SET_SOURCE_FILES_PROPERTIES(${SRC} PROPERTIES COMPILE_FLAGS "${SSE2_FLAGS} -DUSE_MMX -DUSE_SSE -DUSE_SSE2")
      ENDFOREACH(SRC)
      ADD_DEFINE(HAVE_SSE2)
    ENDIF(HAVE_SSE2)

    IF(HAVE_SSE3)
      IF(NOT DOUBLE)
      SET(LIBAFTEN_SRCS ${LIBAFTEN_SRCS} ${LIBAFTEN_X86_SSE3_SRCS})
      FOREACH(SRC ${LIBAFTEN_X86_SSE3_SRCS})
        SET_SOURCE_FILES_PROPERTIES(${SRC} PROPERTIES COMPILE_FLAGS "${SSE3_FLAGS} -DUSE_MMX -DUSE_SSE -DUSE_SSE2 -DUSE_SSE3")
      ENDFOREACH(SRC)
      ENDIF(NOT DOUBLE)
      ADD_DEFINE(HAVE_SSE3)

      CHECK_CASTSI128()
    ENDIF(HAVE_SSE3)
  ENDIF(HAVE_MMX)
ENDIF(CMAKE_SYSTEM_MACHINE MATCHES "i.86" OR CMAKE_SYSTEM_MACHINE MATCHES "x86_64")

IF(CMAKE_SYSTEM_MACHINE MATCHES "Power Macintosh" OR CMAKE_SYSTEM_MACHINE MATCHES "ppc")
  CHECK_ALTIVEC()

  IF(HAVE_ALTIVEC AND NOT DOUBLE)
    INCLUDE_DIRECTORIES(${Aften_SOURCE_DIR}/libaften/ppc)
    SET(LIBAFTEN_SRCS ${LIBAFTEN_SRCS} ${LIBAFTEN_PPC_SRCS})
    SET(LIBAFTEN_SRCS ${LIBAFTEN_SRCS} ${LIBAFTEN_ALTIVEC_SRCS})
    FOREACH(SRC ${LIBAFTEN_ALTIVEC_SRCS})
      SET_SOURCE_FILES_PROPERTIES(${SRC} PROPERTIES COMPILE_FLAGS "-maltivec")
    ENDFOREACH(SRC)
    ADD_DEFINE(HAVE_ALTIVEC)

  ENDIF(HAVE_ALTIVEC AND NOT DOUBLE)
ENDIF(CMAKE_SYSTEM_MACHINE MATCHES "Power Macintosh" OR CMAKE_SYSTEM_MACHINE MATCHES "ppc")


GENERATE_CONFIG_H()

SET(CMAKE_C_FLAGS "${ADD_CFLAGS} ${ADD_EXCLUSIVE_CFLAGS} ${CMAKE_C_FLAGS}")

IF(SHARED)
  ADD_LIBRARY(aften SHARED ${LIBAFTEN_SRCS})
  SET_TARGET_PROPERTIES(aften PROPERTIES VERSION ${SO_VERSION} SOVERSION ${SO_MAJOR_VERSION})
  SET_TARGET_PROPERTIES(aften PROPERTIES LINKER_LANGUAGE C)
  SET_TARGET_PROPERTIES(aften PROPERTIES DEFINE_SYMBOL AFTEN_BUILD_LIBRARY)
  TARGET_LINK_LIBRARIES(aften ${LIBM} ${ADD_LIBS})
  SET(INSTALL_TARGETS ${INSTALL_TARGETS} aften)
ENDIF(SHARED)

ADD_LIBRARY(aften_static STATIC ${LIBAFTEN_SRCS})
#SET_TARGET_PROPERTIES(aften_static PROPERTIES OUTPUT_NAME aften)
SET_TARGET_PROPERTIES(aften_static PROPERTIES LINKER_LANGUAGE C)
SET_TARGET_PROPERTIES(aften_static PROPERTIES COMPILE_FLAGS -DAFTEN_BUILD_LIBRARY)
TARGET_LINK_LIBRARIES(aften_static ${LIBM} ${ADD_LIBS})

# building a separate static lib for the pcm audio decoder
ADD_LIBRARY(aften_pcm STATIC ${PCM_SRCS})

ADD_EXECUTABLE(aften_exe ${AFTEN_SRCS})
SET_TARGET_PROPERTIES(aften_exe PROPERTIES OUTPUT_NAME aften)
SET_TARGET_PROPERTIES(aften_exe PROPERTIES LINKER_LANGUAGE C)
IF(WIN32)
  # When linking to static aften, dllimport mustn't be used
  SET_TARGET_PROPERTIES(aften_exe PROPERTIES COMPILE_FLAGS -DAFTEN_BUILD_LIBRARY)
ENDIF(WIN32)
TARGET_LINK_LIBRARIES(aften_exe aften_pcm aften_static)

ADD_EXECUTABLE(wavinfo util/wavinfo.c)
TARGET_LINK_LIBRARIES(wavinfo aften_pcm)

ADD_EXECUTABLE(wavrms util/wavrms.c)
TARGET_LINK_LIBRARIES(wavrms aften_pcm ${LIBM})

ADD_EXECUTABLE(wavfilter util/wavfilter.c libaften/filter.c)
TARGET_LINK_LIBRARIES(wavfilter aften_pcm ${LIBM})

IF(BINDINGS_CXX)
  MESSAGE("## WARNING: The C++ bindings are only lightly tested. Feed-back appreciated. ##")
  Project(Aften CXX)
  SET(CMAKE_CXX_FLAGS_RELEASE "${ADD_CFLAGS} ${CMAKE_C_FLAGS_RELEASE}")
  INCLUDE_DIRECTORIES(${Aften_SOURCE_DIR}/bindings)
  ADD_LIBRARY(aftenxx SHARED bindings/aftenxx.cxx)
  SET_TARGET_PROPERTIES(aftenxx PROPERTIES VERSION ${SO_VERSION} SOVERSION ${SO_MAJOR_VERSION})
  SET_TARGET_PROPERTIES(aftenxx PROPERTIES LINKER_LANGUAGE CXX)
  SET_TARGET_PROPERTIES(aftenxx PROPERTIES DEFINE_SYMBOL AFTENXX_BUILD_LIBRARY)
  TARGET_LINK_LIBRARIES(aftenxx aften)
  SET(INSTALL_TARGETS ${INSTALL_TARGETS} aftenxx)
  SET(INSTALL_HEADERS ${INSTALL_HEADERS} bindings/aftenxx.h)
ENDIF(BINDINGS_CXX)
IF(BINDINGS_CS)
  MESSAGE("## WARNING: The C# bindings are not completed, but tested (see \"API C#.txt\"). ##")
  SET(AFTENSHARP_SRCS bindings/cs/AftenTypes.cs
                      bindings/cs/FrameEncoder.cs
                      bindings/cs/FrameEventArgs.cs
                      bindings/cs/Utility.cs)
  IF(WIN32)
    SET(WIN_SRCS "")
    FOREACH(SRC ${AFTENSHARP_SRCS})
      STRING(REPLACE "/" "\\" WIN_SRC ${SRC})
      SET(WIN_SRCS ${WIN_SRCS} ${WIN_SRC})
    ENDFOREACH(SRC ${AFTENSHARP_SRCS})
    SET(AFTENSHARP_SRCS ${WIN_SRCS})
  ENDIF(WIN32)
  SET(AFTENSHARP_DLL ${Aften_BINARY_DIR}/AftenSharp.dll)
  FIND_PROGRAM(
    CSCOMPILER
    NAMES csc gmcs)
  IF(CSCOMPILER MATCHES "NOTFOUND")
    MESSAGE(SEND_ERROR "Could not locate a supported C# compiler")
  ENDIF(CSCOMPILER MATCHES "NOTFOUND")
  ADD_CUSTOM_COMMAND(
    OUTPUT ${AFTENSHARP_DLL}

## aften 0.0.8svn20100103

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,19 +59,19 @@
                   libaften/util.c
                   libaften/convert.c)
 
-SET(LIBAFTEN_X86_SRCS libaften/x86/x86_cpu_caps.c)
-
-SET(LIBAFTEN_X86_MMX_SRCS libaften/x86/x86_mmx_exponent.c)
-
-SET(LIBAFTEN_X86_SSE_SRCS libaften/x86/x86_sse_mdct_dummy.c
-                          libaften/x86/x86_sse_mdct_common_init.c
-                          libaften/x86/x86_sse_window.c)
-
-SET(LIBAFTEN_X86_SSE2_SRCS libaften/x86/x86_sse2_exponent.c)
-
-SET(LIBAFTEN_X86_SSE3_SRCS libaften/x86/x86_sse3_mdct_dummy.c)
-
-SET(LIBAFTEN_PPC_SRCS libaften/ppc/ppc_cpu_caps.c)
+SET(LIBAFTEN_X86_SRCS libaften/x86/cpu_caps.c)
+
+SET(LIBAFTEN_X86_MMX_SRCS libaften/x86/exponent_mmx.c)
+
+SET(LIBAFTEN_X86_SSE_SRCS libaften/x86/mdct_sse.c
+                          libaften/x86/mdct_common_sse.c
+                          libaften/x86/window_sse.c)
+
+SET(LIBAFTEN_X86_SSE2_SRCS libaften/x86/exponent_sse2.c)
+
+SET(LIBAFTEN_X86_SSE3_SRCS libaften/x86/mdct_sse3.c)
+
+SET(LIBAFTEN_PPC_SRCS libaften/ppc/cpu_caps.c)
 SET(LIBAFTEN_ALTIVEC_SRCS libaften/ppc/mdct_altivec.c)
 
 SET(AFTEN_SRCS aften/aften.c aften/opts.c)
@@ -122,9 +122,8 @@
 ENDIF(CMAKE_COMPILER_IS_GNUCC)
 
 IF(CMAKE_COMPILER_IS_ICC)
-  # icc ignores bogus options, so detection makes no sense
   SET(CMAKE_C_FLAGS_RELEASE "-O3 -funroll-loops -fomit-frame-pointer ${CMAKE_C_FLAGS_RELEASE}")
-  SET(ADD_CFLAGS "-std=c99 -Wall ${ADD_CFLAGS}")
+  SET(ADD_CFLAGS "-std=c99 -Wall -wd810 ${ADD_CFLAGS}")
 ENDIF(CMAKE_COMPILER_IS_ICC)
 
 IF(MSVC)
@@ -187,6 +186,8 @@
   ADD_DEFINE("SVN_VERSION \"${SVN_VERSION}\"")
 ENDIF(SVN_VERSION)
 
+CHECK_POSIX_MEMALIGN()
+
 # do SIMD stuff
 IF(CMAKE_SYSTEM_MACHINE MATCHES "i.86" OR CMAKE_SYSTEM_MACHINE MATCHES "x86_64")
   CHECK_MMX()
@@ -212,11 +213,6 @@
       ENDFOREACH(SRC)
       ENDIF(NOT DOUBLE)
       ADD_DEFINE(HAVE_SSE)
-
-      CHECK_MM_MALLOC()
-      IF(NOT HAVE_MM_MALLOC)
-        CHECK_POSIX_MEMALIGN()
-      ENDIF(NOT HAVE_MM_MALLOC)
     ENDIF(HAVE_SSE)
 
     IF(HAVE_SSE2)
@@ -334,3 +330,9 @@
   ENDIF(CSCOMPILER MATCHES "NOTFOUND")
   ADD_CUSTOM_COMMAND(
     OUTPUT ${AFTENSHARP_DLL}
+    COMMAND ${CSCOMPILER} -t:library -out:${AFTENSHARP_DLL} -o+ ${AFTENSHARP_SRCS}
+    DEPENDS ${AFTENSHARP_SRCS}
+    WORKING_DIRECTORY ${Aften_SOURCE_DIR})
+  ADD_CUSTOM_TARGET(
+    AftenSharp
+    ALL

=== debian/changelog ===
aften (0.0.8svn20100103-dmo4) unstable; urgency=medium

  * Fix build with cmake 4

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jan 2026 09:46:37 +0100

aften (0.0.8svn20100103-dmo3+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 31 Oct 2024 07:38:25 +0100

aften (0.0.8svn20100103-dmo3) unstable; urgency=medium

  * Change debian source format to '3.0 (quilt)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Nov 2017 16:54:20 +0100

aften (0.0.8svn20100103-dmo2) unstable; urgency=medium

  * Don't install /usr/bin/wavinfo already in wavbreaker package.
  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Mar 2017 08:43:13 +0100

aften (0.0.8svn20100103-dmo1) unstable; urgency=low

  * Update debian version number to dmo1.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Jun 2012 14:20:59 +0200

aften (0.0.8svn20100103-0.2) unstable; urgency=low

  * Fix the build for powerpc.

 -- Christian Marillat <marillat@debian.org>  Tue, 03 Apr 2012 22:28:44 +0200

aften (0.0.8svn20100103-0.1) unstable; urgency=low

  * Move to debhelper 9 for multi-arch and hardened build flags.

 -- Christian Marillat <marillat@debian.org>  Tue, 03 Apr 2012 10:51:02 +0200

aften (0.0.8svn20100103-0.0) unstable; urgency=low

  * SVN release to fix powerpc build.

 -- Christian Marillat <marillat@debian.org>  Sun, 03 Jan 2010 10:12:12 +0100

aften (0.0.8svn20080925-0.1) unstable; urgency=low

  * Don't package waveinfo already in wavbreaker and useless in aften.

 -- Christian Marillat <marillat@debian.org>  Sat, 02 Jan 2010 17:59:13 +0100

aften (0.0.8svn20080925-0.0) unstable; urgency=low

  * SVN release to fix build for arch other than X86.
  * Build shared library.
  * Disable altivec for powerpc.

 -- Christian Marillat <marillat@debian.org>  Fri, 17 Oct 2008 16:52:04 +0200

aften (0.0.8-0.1) unstable; urgency=low

  * Remove libaften0 package (shared library doesn't build for all arches
    except for i386 and amd64).

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Aug 2008 12:46:52 +0200

aften (0.0.8-0.0) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Aug 2008 12:07:26 +0200

=== debian/control ===
Source: aften
Section: sound
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Standards-Version: 4.7.3
Homepage: https://aften.sourceforge.net/
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, quilt

Package: aften
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: audio AC3 encoder
 Aften is an audio encoder which generates compressed audio streams based on
 ATSC A/52 specification. This type of audio is also known as AC-3 or Dolby®
 Digital and is one of the audio codecs used in DVD-Video content.

Package: libaften0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: audio AC3 encoder - runtime files
 Aften is an audio encoder which generates compressed audio streams based on
 ATSC A/52 specification. This type of audio is also known as AC-3 or Dolby®
 Digital and is one of the audio codecs used in DVD-Video content.

Package: libaften-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libaften0 (= ${binary:Version}), ${misc:Depends}
Description: audio AC3 encoder - development files
 Aften is an audio encoder which generates compressed audio streams based on
 ATSC A/52 specification. This type of audio is also known as AC-3 or Dolby®
 Digital and is one of the audio codecs used in DVD-Video content.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Bbuild -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DCMAKE_INSTALL_LIBDIR=$(DEB_HOST_MULTIARCH) \
	-DSHARED=yes

ifeq "$(DEB_BUILD_ARCH)" "powerpc"
	perl -i -pe 's,HAVE_ALTIVEC:INTERNAL=1,HAVE_ALTIVEC:INTERNAL=0,' build/CMakeCache.txt
endif

override_dh_auto_test:

=== debian/watch ===
version=4

#opts=uversionmangle=s/0.0/0.0./ \
#https://sf.net/aften/aften-(.*)@ARCHIVE_EXT@

## aften 0.0.8+git20100105

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
 # CMake project file by Prakash Punnoor
 CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
+
+IF(COMMAND cmake_policy)
+  cmake_policy(SET CMP0003 NEW)
+ENDIF(COMMAND cmake_policy)
 
 IF(NOT DEFINED CMAKE_BUILD_TYPE)
   SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.")
@@ -45,44 +49,91 @@
 INCLUDE_DIRECTORIES(${Aften_SOURCE_DIR}/aften)
 INCLUDE_DIRECTORIES(${Aften_SOURCE_DIR}/pcm)
 
-SET(LIBAFTEN_SRCS libaften/a52enc.c
+SET(LIBAFTEN_SRCS libaften/a52enc.h
+                  libaften/a52enc.c
+                  libaften/a52.h
                   libaften/a52.c
+                  libaften/a52tab.h
                   libaften/a52tab.c
+                  libaften/bitalloc.h
                   libaften/bitalloc.c
+                  libaften/bitio.h
                   libaften/bitio.c
+                  libaften/crc.h
                   libaften/crc.c
+                  libaften/dynrng.h
                   libaften/dynrng.c
+                  libaften/window.h
                   libaften/window.c
+                  libaften/mdct.h
                   libaften/mdct.c
+                  libaften/exponent.h
                   libaften/exponent.c
+                  libaften/filter.h
                   libaften/filter.c
                   libaften/util.c
-                  libaften/convert.c)
-
-SET(LIBAFTEN_X86_SRCS libaften/x86/cpu_caps.c)
-
-SET(LIBAFTEN_X86_MMX_SRCS libaften/x86/exponent_mmx.c)
+                  libaften/convert.h
+                  libaften/convert.c
+                  libaften/threading.h
+                  libaften/a52dec.h
+                  libaften/aften.h
+                  libaften/aften-types.h
+                  libaften/cpu_caps.h
+                  libaften/mem.h
+                  common.h
+                  bswap.h)
+
+SET(LIBAFTEN_X86_SRCS libaften/x86/cpu_caps.c
+                      libaften/x86/cpu_caps.h
+                      libaften/x86/asm_common.h
+                      libaften/x86/asm_support.h
+                      libaften/x86/gas_support.h
+                      libaften/x86/intelas_support.h)
+
+SET(LIBAFTEN_X86_MMX_SRCS libaften/x86/exponent_mmx.c
+                          libaften/x86/exponent.h
+                          libaften/x86/simd_support.h)
 
 SET(LIBAFTEN_X86_SSE_SRCS libaften/x86/mdct_sse.c
                           libaften/x86/mdct_common_sse.c
-                          libaften/x86/window_sse.c)
-
-SET(LIBAFTEN_X86_SSE2_SRCS libaften/x86/exponent_sse2.c)
-
-SET(LIBAFTEN_X86_SSE3_SRCS libaften/x86/mdct_sse3.c)
-
-SET(LIBAFTEN_PPC_SRCS libaften/ppc/cpu_caps.c)
-SET(LIBAFTEN_ALTIVEC_SRCS libaften/ppc/mdct_altivec.c)
-
-SET(AFTEN_SRCS aften/aften.c aften/opts.c)
+                          libaften/x86/mdct_common_sse.h
+                          libaften/x86/mdct.h
+                          libaften/x86/window_sse.c
+                          libaften/x86/window.h
+                          libaften/x86/simd_support.h)
+
+SET(LIBAFTEN_X86_SSE2_SRCS libaften/x86/exponent_sse2.c
+                           libaften/x86/exponent.h
+                           libaften/x86/simd_support.h)
+
+SET(LIBAFTEN_X86_SSE3_SRCS libaften/x86/mdct_sse3.c
+                           libaften/x86/mdct_common_sse.h
+                           libaften/x86/mdct.h
+                           libaften/x86/simd_support.h)
+
+SET(LIBAFTEN_PPC_SRCS libaften/ppc/cpu_caps.c
+                      libaften/ppc/cpu_caps.h)
+
+SET(LIBAFTEN_ALTIVEC_SRCS libaften/ppc/mdct_altivec.c
+                          libaften/ppc/mdct.h
+                          libaften/ppc/altivec_common.h)
+
+SET(AFTEN_SRCS aften/aften.c
+               aften/opts.c
+               aften/opts.h
+               aften/helptext.h)
 
 SET(PCM_SRCS pcm/aiff.c
              pcm/byteio.c
+             pcm/byteio.h
              pcm/caff.c
              pcm/convert.c
              pcm/formats.c
+             pcm/formats.h
              pcm/pcm.c
+             pcm/pcm.h
              pcm/pcmfile.c
+             pcm/pcmfile.h
              pcm/pcm_io.c
              pcm/raw.c
              pcm/wav.c)
@@ -91,11 +142,15 @@
 IF(CMAKE_UNAME)
   EXEC_PROGRAM(uname ARGS -m OUTPUT_VARIABLE CMAKE_SYSTEM_MACHINE)
 ELSE(CMAKE_UNAME)
-  MESSAGE("Could not detect machine type")
-  IF(CMAKE_SYSTEM MATCHES "Windows")
-    MESSAGE(STATUS "Assuming i386 machine")
-    SET(CMAKE_SYSTEM_MACHINE i386)
-  ENDIF(CMAKE_SYSTEM MATCHES "Windows")
+  IF(CMAKE_SYSTEM MATCHES "Windows" AND CMAKE_SYSTEM_PROCESSOR MATCHES "x86")
+	IF(CMAKE_SIZEOF_VOID_P MATCHES "8")
+      SET(CMAKE_SYSTEM_MACHINE "x86_64")
+	ELSE(CMAKE_SIZEOF_VOID_P MATCHES "8")
+      SET(CMAKE_SYSTEM_MACHINE "i386")
+	ENDIF(CMAKE_SIZEOF_VOID_P MATCHES "8")
+  ELSE(CMAKE_SYSTEM MATCHES "Windows" AND CMAKE_SYSTEM_PROCESSOR MATCHES "x86")
+	MESSAGE(FATAL_ERROR "Could not detect machine type")
+  ENDIF(CMAKE_SYSTEM MATCHES "Windows" AND CMAKE_SYSTEM_PROCESSOR MATCHES "x86")
 ENDIF(CMAKE_UNAME)
 
 DETECT_COMPILER()
@@ -176,66 +231,70 @@
 CHECK_INCLUDE_FILE_DEFINE(inttypes.h HAVE_INTTYPES_H)
 CHECK_INCLUDE_FILE_DEFINE(byteswap.h HAVE_BYTESWAP_H)
 
-# output SVN version to config.h
-EXECUTE_PROCESS(COMMAND svn info --xml WORKING_DIRECTORY ${Aften_SOURCE_DIR}
-OUTPUT_VARIABLE SVN_INFO ERROR_QUIET)
-STRING(REGEX MATCH "<entry[^>]+" SVN_VERSION "${SVN_INFO}")
-STRING(REGEX MATCH "revision=\"[0123456789]+\"" SVN_VERSION "${SVN_VERSION}")
-STRING(REGEX MATCH "[0123456789]+" SVN_VERSION "${SVN_VERSION}")
-IF(SVN_VERSION)
-  ADD_DEFINE("SVN_VERSION \"${SVN_VERSION}\"")
-ENDIF(SVN_VERSION)
+# output GIT version to config.h
+EXECUTE_PROCESS(COMMAND git log -1 --pretty=format:%h
+OUTPUT_VARIABLE GIT_VERSION ERROR_QUIET)
+IF(GIT_VERSION)
+  ADD_DEFINE("GIT_VERSION \"${GIT_VERSION}\"")
+ENDIF(GIT_VERSION)
 
 CHECK_POSIX_MEMALIGN()
 
 # do SIMD stuff
 IF(CMAKE_SYSTEM_MACHINE MATCHES "i.86" OR CMAKE_SYSTEM_MACHINE MATCHES "x86_64")
   CHECK_MMX()
-
-  IF(HAVE_MMX)
+  # MSVC doesn't have MMX support in x64 mode, so check for SSE independently
+  CHECK_SSE()
+  
+  IF(HAVE_MMX OR HAVE_SSE)
     INCLUDE_DIRECTORIES(${Aften_SOURCE_DIR}/libaften/x86)
     SET(LIBAFTEN_SRCS ${LIBAFTEN_SRCS} ${LIBAFTEN_X86_SRCS})
     ADD_DEFINE(HAVE_CPU_CAPS_DETECTION)
-
-    CHECK_SSE()
+  ENDIF(HAVE_MMX OR HAVE_SSE)
+  
+  IF(HAVE_MMX)
     SET(LIBAFTEN_SRCS ${LIBAFTEN_SRCS} ${LIBAFTEN_X86_MMX_SRCS})
+      SET(SIMD_FLAGS "${SIMD_FLAGS} ${MMX_FLAGS} -DUSE_MMX")
       FOREACH(SRC ${LIBAFTEN_X86_MMX_SRCS})
-        SET_SOURCE_FILES_PROPERTIES(${SRC} PROPERTIES COMPILE_FLAGS "${MMX_FLAGS} -DUSE_MMX")
+        SET_SOURCE_FILES_PROPERTIES(${SRC} PROPERTIES COMPILE_FLAGS ${SIMD_FLAGS})
       ENDFOREACH(SRC)
     ADD_DEFINE(HAVE_MMX)
-
-    IF(HAVE_SSE)
-      CHECK_SSE2()
-      IF(NOT DOUBLE)
+  ENDIF(HAVE_MMX)
+
+  IF(HAVE_SSE)
+    SET(SIMD_FLAGS "${SIMD_FLAGS} ${SSE_FLAGS} -DUSE_SSE")
+    IF(NOT DOUBLE)
       SET(LIBAFTEN_SRCS ${LIBAFTEN_SRCS} ${LIBAFTEN_X86_SSE_SRCS})
       FOREACH(SRC ${LIBAFTEN_X86_SSE_SRCS})
-        SET_SOURCE_FILES_PROPERTIES(${SRC} PROPERTIES COMPILE_FLAGS "${SSE_FLAGS} -DUSE_MMX -DUSE_SSE")
+        SET_SOURCE_FILES_PROPERTIES(${SRC} PROPERTIES COMPILE_FLAGS ${SIMD_FLAGS})
       ENDFOREACH(SRC)
-      ENDIF(NOT DOUBLE)
-      ADD_DEFINE(HAVE_SSE)
-    ENDIF(HAVE_SSE)
-
+    ENDIF(NOT DOUBLE)
+    ADD_DEFINE(HAVE_SSE)
+
+    CHECK_SSE2()
     IF(HAVE_SSE2)
-      CHECK_SSE3()
+      SET(SIMD_FLAGS "${SIMD_FLAGS} ${SSE2_FLAGS} -DUSE_SSE2")
       SET(LIBAFTEN_SRCS ${LIBAFTEN_SRCS} ${LIBAFTEN_X86_SSE2_SRCS})
       FOREACH(SRC ${LIBAFTEN_X86_SSE2_SRCS})
-        SET_SOURCE_FILES_PROPERTIES(${SRC} PROPERTIES COMPILE_FLAGS "${SSE2_FLAGS} -DUSE_MMX -DUSE_SSE -DUSE_SSE2")
+        SET_SOURCE_FILES_PROPERTIES(${SRC} PROPERTIES COMPILE_FLAGS ${SIMD_FLAGS})
       ENDFOREACH(SRC)
       ADD_DEFINE(HAVE_SSE2)
+
+      CHECK_SSE3()
+      IF(HAVE_SSE3)
+        SET(SIMD_FLAGS "${SIMD_FLAGS} ${SSE3_FLAGS} -DUSE_SSE3")
+        IF(NOT DOUBLE)
+          SET(LIBAFTEN_SRCS ${LIBAFTEN_SRCS} ${LIBAFTEN_X86_SSE3_SRCS})
+          FOREACH(SRC ${LIBAFTEN_X86_SSE3_SRCS})
+            SET_SOURCE_FILES_PROPERTIES(${SRC} PROPERTIES COMPILE_FLAGS ${SIMD_FLAGS})
+          ENDFOREACH(SRC)
+        ENDIF(NOT DOUBLE)
+        ADD_DEFINE(HAVE_SSE3)
+
+        CHECK_CASTSI128()
+      ENDIF(HAVE_SSE3)
     ENDIF(HAVE_SSE2)
-
-    IF(HAVE_SSE3)
-      IF(NOT DOUBLE)
-      SET(LIBAFTEN_SRCS ${LIBAFTEN_SRCS} ${LIBAFTEN_X86_SSE3_SRCS})
-      FOREACH(SRC ${LIBAFTEN_X86_SSE3_SRCS})
-        SET_SOURCE_FILES_PROPERTIES(${SRC} PROPERTIES COMPILE_FLAGS "${SSE3_FLAGS} -DUSE_MMX -DUSE_SSE -DUSE_SSE2 -DUSE_SSE3")
-      ENDFOREACH(SRC)
-      ENDIF(NOT DOUBLE)
-      ADD_DEFINE(HAVE_SSE3)
-
-      CHECK_CASTSI128()
-    ENDIF(HAVE_SSE3)
-  ENDIF(HAVE_MMX)
+  ENDIF(HAVE_SSE)
 ENDIF(CMAKE_SYSTEM_MACHINE MATCHES "i.86" OR CMAKE_SYSTEM_MACHINE MATCHES "x86_64")
 
 IF(CMAKE_SYSTEM_MACHINE MATCHES "Power Macintosh" OR CMAKE_SYSTEM_MACHINE MATCHES "ppc")
@@ -280,59 +339,3 @@
 SET_TARGET_PROPERTIES(aften_exe PROPERTIES OUTPUT_NAME aften)
 SET_TARGET_PROPERTIES(aften_exe PROPERTIES LINKER_LANGUAGE C)
 IF(WIN32)
-  # When linking to static aften, dllimport mustn't be used
-  SET_TARGET_PROPERTIES(aften_exe PROPERTIES COMPILE_FLAGS -DAFTEN_BUILD_LIBRARY)
-ENDIF(WIN32)
-TARGET_LINK_LIBRARIES(aften_exe aften_pcm aften_static)
-
-ADD_EXECUTABLE(wavinfo util/wavinfo.c)
-TARGET_LINK_LIBRARIES(wavinfo aften_pcm)
-
-ADD_EXECUTABLE(wavrms util/wavrms.c)
-TARGET_LINK_LIBRARIES(wavrms aften_pcm ${LIBM})
-
-ADD_EXECUTABLE(wavfilter util/wavfilter.c libaften/filter.c)
-TARGET_LINK_LIBRARIES(wavfilter aften_pcm ${LIBM})
-
-IF(BINDINGS_CXX)
-  MESSAGE("## WARNING: The C++ bindings are only lightly tested. Feed-back appreciated. ##")
-  Project(Aften CXX)
-  SET(CMAKE_CXX_FLAGS_RELEASE "${ADD_CFLAGS} ${CMAKE_C_FLAGS_RELEASE}")
-  INCLUDE_DIRECTORIES(${Aften_SOURCE_DIR}/bindings)
-  ADD_LIBRARY(aftenxx SHARED bindings/aftenxx.cxx)
-  SET_TARGET_PROPERTIES(aftenxx PROPERTIES VERSION ${SO_VERSION} SOVERSION ${SO_MAJOR_VERSION})
-  SET_TARGET_PROPERTIES(aftenxx PROPERTIES LINKER_LANGUAGE CXX)
-  SET_TARGET_PROPERTIES(aftenxx PROPERTIES DEFINE_SYMBOL AFTENXX_BUILD_LIBRARY)
-  TARGET_LINK_LIBRARIES(aftenxx aften)
-  SET(INSTALL_TARGETS ${INSTALL_TARGETS} aftenxx)
-  SET(INSTALL_HEADERS ${INSTALL_HEADERS} bindings/aftenxx.h)
-ENDIF(BINDINGS_CXX)
-IF(BINDINGS_CS)
-  MESSAGE("## WARNING: The C# bindings are not completed, but tested (see \"API C#.txt\"). ##")
-  SET(AFTENSHARP_SRCS bindings/cs/AftenTypes.cs
-                      bindings/cs/FrameEncoder.cs
-                      bindings/cs/FrameEventArgs.cs
-                      bindings/cs/Utility.cs)
-  IF(WIN32)
-    SET(WIN_SRCS "")
-    FOREACH(SRC ${AFTENSHARP_SRCS})
-      STRING(REPLACE "/" "\\" WIN_SRC ${SRC})
-      SET(WIN_SRCS ${WIN_SRCS} ${WIN_SRC})
-    ENDFOREACH(SRC ${AFTENSHARP_SRCS})
-    SET(AFTENSHARP_SRCS ${WIN_SRCS})
-  ENDIF(WIN32)
-  SET(AFTENSHARP_DLL ${Aften_BINARY_DIR}/AftenSharp.dll)
-  FIND_PROGRAM(
-    CSCOMPILER
-    NAMES csc gmcs)
-  IF(CSCOMPILER MATCHES "NOTFOUND")
-    MESSAGE(SEND_ERROR "Could not locate a supported C# compiler")
-  ENDIF(CSCOMPILER MATCHES "NOTFOUND")
-  ADD_CUSTOM_COMMAND(
-    OUTPUT ${AFTENSHARP_DLL}
-    COMMAND ${CSCOMPILER} -t:library -out:${AFTENSHARP_DLL} -o+ ${AFTENSHARP_SRCS}
-    DEPENDS ${AFTENSHARP_SRCS}
-    WORKING_DIRECTORY ${Aften_SOURCE_DIR})
-  ADD_CUSTOM_TARGET(
-    AftenSharp
-    ALL
